#include <iostream>
#include <vector>
#include <cmath>
using namespace std;
int main(){
    int suma=0;
    int suma1=0;
    int suma2=0;
    int sumb=0;
    cin>>t;
    for(int b = 0;i<t;b++)
    cin>>m;
    cin>>n;
    for(int i=0;i<=n;i++){
        int randoma=math.random(0,1);
         suma1=+randoma;
        if(randoma[i]==1){
            suma=+1;
        }
        for(int j=0;j<=m;i++){
            int randomb=random(0,1);
            suma2=+randomb;
            if(randomb[j]==1){
            sumb=+1;
        }
        }
    }
    if(suma1/n==1 && suma2/m==1 && suma>0 && sumb>0){
        cout>>i,j;
    }else{
     return -1;
    }
}